/**
 * @package 	WordPress
 * @subpackage 	Green Farm
 * @version 	1.0.0
 * 
 * WooCommerce CSS Rules
 * Created by CMSMasters
 * 
 */



@import "../../../../theme-framework/css/less/general.less";

@preloader_product_page_pad: 100%;


/*-------------------------------------------------------------------------*/
/* Global Styles
/*-------------------------------------------------------------------------*/

.woocommerce:after {
	.cl_after;
}

.woocommerce-page .content_wrap.fullwidth {
	padding-top:0;
	padding-bottom:40px;
}

.demo_store {
	.dn;
}

.product .preloader {
	padding-bottom:@preloader_product_page_pad;
	
	img {
		width:100%;
		min-width:100%;
		height:100%;
		position:absolute;
		left:0;
		top:0;
	}
}


/* Star Rating */
.cmsmasters_star_rating {
	width:73px;
	height:12px;
	display:block;
	position:relative;
	.ovh;
	
	.cmsmasters_star {
		font-size:12px;
		width:13px;
		height:100%;
		display:block;
		margin-left:2px;
		margin-right:0;
		position:relative;
		.ovh;
		.fl;
		
		&:first-child {
			margin-left:0;
		}
		
		&:before {
			.pos_abs;
		}
	}
	
	.cmsmasters_star_trans_wrap {
		height:100%;
		position:relative;
		.ovh;
	}
	
	.cmsmasters_star_color_wrap {
		height:100%;
		position:absolute;
		left:0;
		top:0;
		.ovh;
	}
	
	.cmsmasters_star_color_inner {
		width:73px;
		height:100%;
		position:relative;
		.ovh;
	}
}

.comment-form-rating {
	position:relative;
	.ovh;
	
	.stars {
		> span {
			display:block;
			width:65px;
			height:14px;
			position:relative;
			.ovh;
			
			&:before, 
			a:before {
				font-family:"fontello";
				line-height:1em;
				font-style:normal;
				font-weight:normal;
				text-decoration:inherit;
				text-align:center;
				vertical-align:baseline;
				font-variant:normal;
				text-transform:none;
				speak:none;
				-webkit-font-smoothing:antialiased;
				-moz-osx-font-smoothing:grayscale;
				
				font-size:14px;
				text-indent:0;
				display:block;
				width:100%;
				height:100%;
				position:absolute;
				left:0;
				top:0;
			}
			
			&:before {
				content:'\e8aa\e8aa\e8aa\e8aa\e8aa';
			}
			
			a:before {
				content:'\e8aa\e8aa\e8aa\e8aa\e8aa';
			}
		
			a {
				color:transparent;
				text-indent:9999px;
				height:100%;
				display:block;
				position:absolute;
				left:0;
				top:0;
				.ovh;
			
				&.star-1 {
					width:13px;
					z-index:10;
				}
				
				&.star-2 {
					width:26px;
					z-index:9;
				}
				
				&.star-3 {
					width:39px;
					z-index:8;
				}
				
				&.star-4 {
					width:52px;
					z-index:7;
				}
				
				&.star-5 {
					width:65px;
					z-index:6;
				}
			}
		}
	}
}


/* Sale */
.onsale, 
.out-of-stock, 
.stock {
	display:inline-block;
	position:absolute;
	left:0;
	right:0;
	top:0;
	z-index:10;
	.ovh;
	.tac;
	
	span {
		padding:3px 20px 2px;
		display:inline-block;
	}
}

.outofstock .onsale {
	.dn;
}


/* checkbox and radio */
label {
	> .input-checkbox, 
	> .input-radio, 
	> input.shipping_method {
		float:none;
		width:auto;
		height:auto;
		position:relative;
		left:auto;
		top:auto;
		bottom:auto;
		.op(1);
	}
}

.input-checkbox, 
.input-radio, 
input.shipping_method {
	.fl;
	.op(0);
	.pos_abs(1em, 1em, 0, auto);

	+ label {
		display:inline-block;
		padding:0 0 0 25px;
		position:relative;
		cursor:pointer;
		
		&:before {
			content:'';
			.bd;
			.pos_abs(17px, 17px, 1px, auto);
		}
		
		&:after {
			content:'';
			-webkit-transform:scale(0);
			-moz-transform:scale(0);
			transform:scale(0);
			.pos_abs(9px, 9px, 5px, auto);
			.op(0);
		}
	}
	
	&:checked {
		+ label {
			&:after {
				-webkit-transform:scale(1);
				-moz-transform:scale(1);
				transform:scale(1);
				.op(1);
			}
		}
	}
}

label.checkbox {
	display:inline-block;
	padding:0 0 0 25px;
	
	+ input {
		visibility:visible;
		.op(1);
	}
}

.input-radio, 
input.shipping_method {
	+ label {
		&:before, 
		&:after {
			.bdrs(50%);
		}
	}
}


/* Shipping */
#shipping_method {
	padding:0;
	margin:0;
	
	li {
		.ovh;
		
		&:before {
			content:none;
		}
	}
	
	+ p {
		padding:20px 0 0;
	}
}

.woocommerce-message, 
.woocommerce-info, 
.woocommerce-error {
	padding:25px;
	margin-bottom:30px;
	float:none;
	position:relative;
	.bd;
	.cl;
	.ovh;
	
	.button {
		margin-right:30px;
		margin-bottom:10px;
	}
}

.woocommerce-error {
	li {
		padding:0;
		margin:0;
		
		&:before {
			content:none;
		}
	}
}


/* Quantity */
.quantity {
	display:inline-block;
	vertical-align:middle;
	position:relative;
	.ovh;
	
	.text {
		display:block;
		width:65px;
		min-width:0;
	}
}


/* Variation */
table.variations {
	tr {
		td {
			padding:5px 0 0;
		}
		
		&:first-child {
			td {
				padding:0;
			}
		}
	}
	
	.reset_variations {
		margin-left:10px;
		margin-right:0;
	}
}

.single_variation_wrap {
	.woocommerce-variation-description {
		border:0 !important;
		margin:20px 0 0;
		
		> *:last-child {
			margin:0;
			padding:0;
		}
	}
	
	.single_variation {
		margin:20px 0 0;
		.ovh;
		
		.stock {
			display:inline-block !important;
			margin:0 0 0 10px;
			vertical-align:middle;
			position:static;
		}
	}
	
	.variations_button {
		margin:20px 0 0;
		.ovh;
	}
}

dl.variation {
	display:block;
	padding:0;
	.ovh;
	
	&:after {
		.cl_after;
	}
	
	dt,
	dd, 
	p {
		display:block;
		margin:0;
		padding:0;
		.ovh;
	}
	
	dt {
		padding-left:0;
		padding-right:10px;
		float:left;
		clear:left;
	}
	
	dd {
		float:left;
	}
}


/* Col2-set */
.col2-set {
	margin:0 -@col_mar 30px;
	position:relative;
	.ovh;

	> * {
		width:round((100% / 2) - (@col_mar * 2), 2);
		margin:0 @col_mar;
		position:relative;
		.fl;
		.ovh;
	}
}


/* Form Row Styles */
.form-row {
	width:round((100% / 2) - (@col_mar * 2), 2);
	margin:0 @col_mar;
	position:relative;
	.fl;
	
	&:after {
		.cl_after;
	}
	
	&.form-row-wide, 
	&.notes, 
	&.place-order {
		width:round(100% - (@col_mar * 2), 2);
		float:none;
		.cl;
	}
	
	&.place-order {
		width:auto;
		margin:0;
	}
	
	label {
		display:block;
		padding:0 0 5px;
	}
	
	select, 
	input, 
	textarea {
		width:100%;
		max-width:100%;
	}
	
	textarea {
		min-height:200px;
	}
	
	input[type="checkbox"], 
	input[type="radio"], 
	input[type="submit"], 
	input[type="button"] {
		width:auto;
	}
}


/* Amount Styles */
.amount {
	white-space:nowrap;
}


/* Remove Button Styles */
#page .remove {
	font-size:19px;
	line-height:24px;
	font-weight:bold;
	text-indent:1px;
	display:inline-block;
	width:26px;
	height:26px;
	margin:0 1px;
	.tac;
}



/*-------------------------------------------------------------------------*/
/* Shop Page
/*-------------------------------------------------------------------------*/

.cmsmasters_woo_wrap_result {
	padding:0 0 40px;
	position:relative;
	.ovh;
	.cl;
	
	select {
		width:100%;
		max-width:100%;
	}
	
	.woocommerce-result-count {
		padding:10px;
		.fr;
	}
	
	.woocommerce-ordering {
		.fl;
	}
}

.cmsmasters_products {
	margin:-40px -@col_mar 0;
	padding:0;
	overflow:hidden;
	position:relative;
	
	.product {
		width:round((100% / 4) - (@col_mar * 2), 2);
		margin:0 @col_mar;
		padding:40px 0 0;
		position:relative;
		word-wrap:break-word;
		.ovh;
		.fl;
		
		&:before {
			content:none;
		}
	}
}

.r_sidebar .content, 
.l_sidebar .content {
	> .cmsmasters_products, 
	.related .cmsmasters_products {
		.product {
			width:round((100% / 3) - (@col_mar * 2), 2);
			
			&:nth-child(3n+1) {
				clear:left;
			}
		}
	}
}

.fullwidth .middle_content {
	> .cmsmasters_products, 
	.related .cmsmasters_products {
		.product {
			&:nth-child(4n+1) {
				clear:left;
			}
		}
	}
}

.cmsmasters_product {
	margin:0 1px 2px;
	padding:0;
	position:relative;
	.ovh;
	
	&:hover {
		.button_to_cart_wrap {
			.op(1);
			visibility:visible;
		}
	}

	
	.cmsmasters_product_img {
		.ovh;
		
		img {
			&:nth-child(2) {
				.op(0);
			}
		}
		
		&:hover {
			img:nth-child(2) {
				.op(1);
			}
		}
	}
	
	.button_to_cart_wrap {
		position:absolute;
		left:0;
		top:0;
		width:100%;
		height:100%;
		z-index:12;
		visibility:hidden;
		.tac;
		.op(0);
		
		&:before {
			content:'';
			width:100%;
			height:100%;
			position:absolute;
			left:0;
			top:0;
			.op(.5);
		}
		
		&:after {
			.valign_after;
		}
	}
	
	.button_to_cart {
		position:relative;
		display:inline-block;
		vertical-align:middle;
		.op(1);
		
		&:last-child {
			margin:0;
		}
		
		&:hover {
			.op(.7);
		}
		
		&.added_to_cart {
			.dn;
		}
		
		&.added {
			.dn;
			
			+ .added_to_cart {
				display:inline-block;
			}
		}
		
		&.loading {
			text-indent:-9999px;
			
			&:before {
				content:'\e9fd';
				font-family:"fontello";
				font-style:normal;
				font-weight:normal;
				speak:none;
				display:inline-block;
				text-decoration:inherit;
				width:1em;
				text-align:center;
				vertical-align:baseline;
				font-variant:normal;
				text-transform:none;
				line-height:1em;
				-webkit-font-smoothing:antialiased;
				-moz-osx-font-smoothing:grayscale;
				-webkit-animation:spin 2s infinite linear;
				-moz-animation:spin 2s infinite linear;
				animation:spin 2s infinite linear;
				
				font-size:16px;
				text-indent:0;
				.pos_abs;
			}
		}
	}
	
	.cmsmasters_product_inner {
		padding:15px 20px;
		position:relative;
		.ovh;
		.tac;
	}
	
	.cmsmasters_product_header {
		padding:0;
	}
	
	.cmsmasters_product_title {
		margin:0;
	}
	
	.cmsmasters_product_cat {
		.ovh;
		.tac;
		margin-bottom:5px;
	}
	
	.cmsmasters_product_info {
		margin:10px 0 0;
		position:relative;
		.tac;
	}
	
	.cmsmasters_star_rating {
		margin-top:8px;
		display:inline-block;
	}
	
	.price {
		display:block;
		position:relative;
		padding:0 2px;
		
		del {
			margin:0 5px 0 0;
			vertical-align:middle;
			white-space:nowrap;
			text-decoration:line-through;
		}
		
		ins {
			text-decoration:none;
			vertical-align:middle;
			white-space:nowrap;
		}
	}
}



/*-------------------------------------------------------------------------*/
/* Single Product
/*-------------------------------------------------------------------------*/

.cmsmasters_single_product {
	margin:0;
	padding:0;
	position:relative;
	.ovh;
	
	.cmsmasters_product_left_column {
		width:41.8%;
		position:relative;
		.fl;
		.ovh;
	}
	
	.cmsmasters_product_images {
		position:relative;
		.ovh;
	}
	
	.cmsmasters_product_image {
		display:block;
		max-width:100%;
		position:relative;
		.tac;
		
		img {
			width:100%;
			height:auto;
			max-width:100%;
		}
	}
	
	.cmsmasters_product_thumbs {
		display:block;
		position:relative;
		.ovh;
		
		.cmsmasters_product_thumb {
			display:block;
			width:82px;
			margin:10px 10px 0 0;
			position:relative;
			.tac;
			.fl;
			
			&:last-child {
				margin:10px 0 0;
			}
		}
	}
	
	.cmsmasters_product_right_column {
		width:58.2%;
		padding:0 0 0 30px;
		position:relative;
		.fr;
		.ovh;
		
		.out-of-stock {
			.dn;
		}
	}
	
	.cmsmasters_product_title_info_wrap {
		position:relative;
		.ovh;
	}
	
	.price {
		margin:30px 0 0;
		padding:0;
		
		del {
			margin:0 3px 0 0;
			vertical-align:middle;
		}
		
		ins {
			text-decoration:none;
			vertical-align:middle;
		}
	}
	
	.cmsmasters_star_rating {
		margin:15px 0 0;
	}
	
	.product_title {
		margin:0 0 15px;
	}
	
	.product_meta {
		padding:20px 0 0;
		position:relative;
		.ovh;
		
		> span {
			display:block;
		}
	}
	
	.cmsmasters_product_content {
		padding:40px 0 0;
		position:relative;
		.ovh;
	}
	
	.cart {
		padding:20px 0 0;
		position:relative;
		.ovh;
		
		.single_add_to_cart_button {
			vertical-align:middle;
			margin:0 0 0 10px;
		}
	}
}

.cmsmasters_woo_tabs {
	margin:50px 0 0;
	.ovh;
	
	.cmsmasters_tab_inner {
		> h2 {
			.dn;
		}
	}
}

.shop_attributes {
	tr {
		.bdt;
		
		&:first-child {
			.bdt(0);
		}
	}
	
	th {
		width:170px;
		padding:9px 10px 9px 0;
	}
	
	td {
		padding:9px 0;
	}
	
	p {
		margin:0;
		padding:0;
	}
}

.cmsmasters_woo_comments {
	margin:0;
	padding:0;
	.bdt(0);
	
	.cmsmasters_star_rating {
		.fr;
		vertical-align:middle;
		margin:5px 0 0 15px;
	}
	
	.cmsmasters_comment_item_date {
		margin:3px 0 0;
	}
}

div.products {
	margin:50px 0 0;
	position:relative;
	.ovh;
	
	> h2 {
		margin:0;
		padding:0 0 25px;
	}
}

.page-description {
	margin:0 -@col_mar;
}



/*-------------------------------------------------------------------------*/
/* Cart
/*-------------------------------------------------------------------------*/

.shop_table {
	border-spacing:0;
	border-collapse:separate;
	width:100%;
	margin:0 0 50px;
	position:relative;
	
	thead, 
	tr {
		width:100%;
		position:relative;
		.ovh;
	}
	
	thead {
		th {
			padding:15px 0;
			.bdt;
			.bdb(0);
		}
	}
	
	tbody {
		tr {
			&:first-child {
				td,
				th {
					.bdt;
				}
			}
		}
	}
	
	th, 
	td {
		padding:10px 0;
		vertical-align:middle;
		position:relative;
		.tal;
		.ovh;
		.bdb;
		
		&:first-child {
			.bdl;
		}
		
		&:last-child {
			.bdr;
		}
		
		.woocommerce-checkout-review-order-table&, 
		.order_details& {
			padding:20px 30px;
		}
	}
	
	.product-remove {
		width:60px;
		padding:0 20px;
	}
	
	.product-thumbnail {
		width:70px;
		padding-left:0;
		padding-right:20px;
		
		img {
			width:50px;
			height:auto;
			.bdrs(50%);
		}
	}
	
	.product-name {
		outline:none;
	}
	
	.product-price {
		outline:none;
	}
	
	.amount {
		outline:none;
	}
	
	.actions {
		padding:15px 20px;
		.tar;
		
		.coupon {
			position:relative;
			.fl;
			.ovh;
			
			label {
				.dn;
			}
		}
		
		.input-text {
			width:260px;
			margin:0 20px 0 1px;
		}
	}
	
	.product-quantity {
		input:not([type=submit]):not([type=button]):not([type=radio]):not([type=checkbox]) {
			height:36px;
			padding-top:7px;
			padding-bottom:7px;
		}
	}
	
	strong.product-quantity {
		font-weight:normal;
	}
}

.cross-sells {
	margin-bottom:50px;
	
	h2 {
		margin-bottom:0;
	}
}

.cart_totals {
	position:relative;
	.ovh;
	
	> h2 {
		position:relative;
	}
	
	table {
		border-spacing:0;
		border-collapse:separate;
		width:50%;
		position:relative;
		
		tr {
			width:100%;
			position:relative;
			.ovh;
		}
		
		th, 
		td {
			padding:15px 20px;
			vertical-align:middle;
			position:relative;
			.tal;
			.ovh;
		}
		
		th {
			width:43%;
		}
		
		td {
			width:57%;
			.tar;
			.bdl;
		}
		
		input[type="checkbox"], 
		input[type="radio"] {
			left:auto;
			right:0;
			.fr;
		
			+ label {
				padding-left:0;
				padding-right:25px;
				.fr;
				
				&:before {
					left:auto;
					right:0;
				}
			}
		}
		
		input[type="checkbox"] {
			+ label {
				&:after {
					left:auto;
					right:3px;
				}
			}
		}
		
		input[type="radio"] {
			+ label {
				&:after {
					left:auto;
					right:4px;
				}
			}
		}
	}
}

.woocommerce-shipping-calculator {
	padding:20px 0 0;
	position:relative;
	.ovh;
	
	> p {
		margin:0;
		padding:0;
	}
}

.shipping-calculator-form {
	margin:20px -@col_mar 0;
	
	> * {
		width:round(100% - (@col_mar * 2), 2);
		margin:0 @col_mar;
		.cl;
	}
	
	> p {
		padding:0 0 10px;
	}
}

.wc-proceed-to-checkout {
	padding:15px 0 0;
	position:relative;
	.ovh;
}



/*-------------------------------------------------------------------------*/
/* Checkout
/*-------------------------------------------------------------------------*/

.checkout_coupon {
	margin:0 -@col_mar 30px;
	position:relative;
	.ovh;
	
	input,
	input[type=submit] {
		width:100%;
		max-width:100%;
	}
}

body .select2-container {
	.select2-choice, 
	&.select2-drop-above .select2-choice {
		padding:@input_pad;
		.bdrs(0)
	}
}

.select2-results li {
	padding:0;
	
	&:before {
		content:none;
	}
}

body .select2-drop.select2-drop-active, 
body .select2-drop.select2-drop-above.select2-drop-active {
	.bd(0);
}

.checkout {
	position:relative;
	.ovh;
}

.woocommerce-billing-fields, 
.woocommerce-shipping-fields {
	margin:0 -@col_mar;
	position:relative;
	.ovh;
	
	&:after {
		.cl_after;
	}
	
	> h3 {
		margin-left:@col_mar;
		margin-right:@col_mar;
		position:relative;
		.ovh;
	}
	
	.shipping_address {
		.ovh;
	}
}

.woocommerce-checkout-payment {
	padding:25px 30px;
	position:relative;
	.bd;
	.ovh;
	
	.payment_methods {
		list-style:none;
		margin:0;
		padding:0;
		position:relative;
		.ovh;
		
		li {
			position:relative;
			.ovh;
		
			&:before {
				content:none;
			}
		}
		
		label {
			display:inline-block;
			float:none;
			
			img {
				.dn;
			}
		}
		
		.payment_box {
			padding:15px 0 20px 25px;
			position:relative;
			.cl;
			
			p {
				margin:0;
				padding:0;
			}
		}
	}

	.place-order {
		padding:30px 0 0;
		position:relative;
		.ovh;
		
		> * {
			display:inline-block;
			float:none;
			vertical-align:middle;
		}
		
		.terms {
			width:auto;
			padding:0;
			margin:0;
			.ovh;
			
			> * {
				direction:ltr;
			}
			
			label {
				display:inline-block;
				vertical-align:middle;
				padding:0 0 0 5px;
				margin-right:20px;
				
				&:after,
				&:before {
					content:none;
				}
			}
			
			.input-checkbox {
				display:inline-block;
				vertical-align:middle;
				float:none;
				position:static;
				.op(1);
			}
		}
	}
}



/*-------------------------------------------------------------------------*/
/* Order
/*-------------------------------------------------------------------------*/

ul.order_details {
	list-style:none;
	margin:0 0 30px;
	padding:0;
	position:relative;
	.ovh;
	
	li {
		width:25%;
		margin:0;
		padding:15px 30px;
		position:relative;
		.fl;
		.ovh;
		
		&:before {
			content:none;
		}
		
		strong {
			display:block;
			margin:15px -30px -15px;
			padding:15px 30px;
		}
	}
}

.woocommerce-page.woocommerce-order-received .woocommerce > h2 {
	padding-top:30px;
}

.my_account_orders {
	thead {
		th {
			padding-left:20px;
		}
	}
	
	td {
		padding-left:20px;
	}
}



/*-------------------------------------------------------------------------*/
/* Dynamic Cart
/*-------------------------------------------------------------------------*/

.cmsmasters_dynamic_cart {
	height:100%;
	margin:0 0 0 6px;
	position:relative;
	.fr;
	
	&:after {
		.valign_after;
	}
	
	.remove {
		#page & {
			position:absolute;
			left:auto;
			right:0;
			top:5px;
		}
	}
	
	.enable_header_centered & {
		float:none;
		display:inline-block;
		vertical-align:top;
	}
	
	.cmsmasters_dynamic_cart_button {
		display:block;
		height:100%;
		
		> span {
			display:inline-block;
			vertical-align:middle;
			position:relative;
			
			&:before {
				position:relative;
				margin:2px 7px 0 0;
				font-size:20px;
			}
		}
		
		&:after {
			.valign_after;
		}
	}
	
	.widget_shopping_cart_content {
		width:260px;
		padding:25px 0;
		margin:20px 0 0;
		visibility:hidden;
		position:absolute;
		left:auto;
		right:-5px;
		top:100%;
		z-index:1000;
		.op(0);
		
		&:before {
			content:'';
			.bdb(10px);
			.bdr(8px);
			.bdl(8px);
			border-left-color:transparent;
			border-right-color:transparent;
			display:block;
			position:absolute;
			right:15px;
			top:-10px;
		}
		
		.cart_list {
			list-style:none;
			max-height:395px;
			margin:0;
			padding:0 20px;
			overflow-x:hidden;
			overflow-y:auto;
			
			li {
				min-height:60px;
				margin:25px 0 0;
				padding:0 75px 0 0;
				position:relative;
				.ovh;
				
				&:before {
					content:none;
				}
				
				&:first-child {
					margin:0;
				}
				
				&.empty {
					min-height:1px;
					padding:7px 35px;
				}
				
				&:hover {
					img {
						right:25px;
					}
				}
			}
			
			a {
				display:block;
			}
			
			img {
				.pos_abs(50px, 50px, auto, 0, 0, auto);
				.bdrs(50%);
			}
			
			.quantity {
				direction:rtl;
				margin-top:3px;
				
				* {
					display:inline-block;
					direction:ltr;
				}
				
				.amount {
					white-space:nowrap;
				}
			}
		}
		
		.total {
			padding:20px 20px 0;
			position:relative;
			.ovh;
			
			strong {
				outline:none;
			}
		}
		
		.buttons {
			margin:0 -2%;
			padding:15px 20px 0;
			position:relative;
			.ovh;
			
			.button {
				width:46%;
				margin:0 2%;
				.fl;
				padding:0 10px;
				background-color:transparent;
			}
		}
	}
	
	&:hover .widget_shopping_cart_content, 
	.cmsmasters_dynamic_cart_button:hover + .widget_shopping_cart_content, 
	.widget_shopping_cart_content:hover {
		visibility:visible;
		margin-top:0;
		.op(1);
	}
}


.cmsmasters_added_product_info {
	width:260px;
	margin:40px 0 0;
	padding:15px 20px;
	visibility:hidden;
	position:absolute;
	left:auto;
	right:0;
	top:100%;
	z-index:1001;
	.ovh;
	.op(0);
	.bdrs;
	.bd;
	
	.cmsmasters_added_product_info_img {
		width:60px;
		height:60px;
		.fl;
	}
	
	.cmsmasters_added_product_info_text {
		display:block;
		padding:10px 0 10px 15px;
		.ovh;
	}
}



/*-------------------------------------------------------------------------*/
/* Widgets
/*-------------------------------------------------------------------------*/

.widget.woocommerce > form {
	overflow:visible;
	
	> * {
		overflow:visible;
	}
}


/***************** Widget Product Search ******************/
.widget_product_search {
	position:relative;
	.ovh;
}


/***************** Widget Lists ******************/
.widget_layered_nav, 
.widget_layered_nav_filters, 
.widget_product_categories {
	ul {
		margin:0;
		padding:0;
		
		ul {
			margin:0 0 -4px;
			padding:4px 0 0 10px;
		}
		
		li {
			margin:0;
			padding:8px 0;
			.bdt;
			
			&:first-child {
				.bdt(0);
			}
			
			&:before {
				content:none;
			}
			
			a {
				outline:none;
			}
		}
	}
}

.widget_product_categories {
	ul {
		li {
			padding-left:0;
			padding-right:0;
			
			&:before {
				content:'\e888';
				font-size:12px;
				top:0;
				bottom:0;
				margin:0 15px 0 0;
			}
		}
	}
}


/***************** Widget Product List ******************/
.widget {
	> .product_list_widget {
		list-style:none;
		margin:0;
		padding:0;
		position:relative;
		.ovh;
		
		li {
			min-height:50px;
			margin:0 0 25px;
			padding:0 0 0 65px;
			position:relative;
			.ovh;
			
			&:before {
				content:none;
			}
			
			&:last-child {
				margin-bottom:0;
			}
		}
		
		a {
			display:block;
			margin:0 0 4px;
		}
		
		img {
			.pos_abs(50px, 50px, 0, auto, 0, auto);
			.bdrs(50%);
		}
		
		.star-rating {
			.dn;
		}
		
		ins {
			text-decoration:none;
		}
		
		del {
			margin:0 3px 0 0;
		}
		
		.cmsmasters_star_rating {
			width:63px;
			margin-bottom:3px;
			
			.cmsmasters_star {
				font-size:11px;
				width:11px;
			}
			
			.cmsmasters_star_color_inner {
				width:63px;
			}
		}
	}
}


/***************** Widget Shopping Cart ******************/
.widget_shopping_cart {
	position:relative;
	word-wrap:break-word;
	.ovh;
	
	.remove {
		#page & {
			position:absolute;
			left:auto;
			right:0;
			top:-1px;
			font-size:14px;
			line-height:20px;
			width:20px;
			height:20px;
		}
	}
	
	.widget_shopping_cart_content {
		position:relative;
		.ovh;
	}
	
	.cart_list {
		list-style:none;
		margin:0;
		padding:0;
		.ovh;
		
		li {
			min-height:60px;
			margin:0 0 25px;
			padding:0 25px 0 65px;
			position:relative;
			.ovh;
			
			&:before {
				content:none;
			}
			
			&.empty {
				min-height:1px;
				padding:7px 35px;
			}
			
			&:last-child {
				margin-bottom:0;
			}
		}
		
		a {
			display:block;
		}
		
		img {
			.pos_abs(50px, 50px, 0, auto, 0, auto);
			.bdrs(50%);
		}
		
		.quantity {
			direction:rtl;
			padding:0 1px;
			
			* {
				display:inline-block;
				direction:ltr;
			}
			
			.amount {
				white-space:nowrap;
			}
		}
	}
	
	.total {
		padding:15px 0 0;
		position:relative;
		.ovh;
		
		strong {
			outline:none;
		}
	}
	
	.buttons {
		margin:0;
		padding:10px 0 0;
		position:relative;
		.ovh;
		
		.button {
			display:inline-block;
			vertical-align:middle;
			padding:0 15px;
			margin:0 0 5px;
		}
	}
}

.widget_price_filter {
	.price_slider_wrapper {
		position:relative;
		.ovh;
	}
	
	.price_slider {
		height:2px;
		margin:0;
		padding:0;
		position:relative;
	}
	
	.ui-slider-range {
		height:100%;
		position:absolute;
		top:0;
	}
	
	.ui-slider-handle {
		display:block;
		width:8px;
		height:8px;
		cursor:pointer;
		position:absolute;
		left:0;
		right:auto;
		top:-3px;
		.bdrs(50%);
		
		&:last-child {
			left:100%;
			margin-left:-8px;
			margin-right:0;
		}
	}
	
	.price_slider_amount {
		padding:20px 0 0;
		position:relative;
		.ovh;
		
		.button {
			.fr;
			padding:0 20px;
		}
		
		.price_label {
			display:block;
			padding:9px 10px 9px 0;
			.ovh;
		}
	}
}


/***************** Widget Tag Cloud ******************/
.widget_product_tag_cloud {
	position:relative;
	.ovh;
	
	a {
		line-height:1em;
		display:inline-block;
		margin:0 4px 0 0;
		
		&:last-child {
			margin:0;
		}
	}
}


/***************** Widget Recent Reviews ******************/
.widget_recent_reviews {
	> .product_list_widget {
		li {
			padding-top:5px;
		}
	}
}



/*-------------------------------------------------------------------------*/
/* Shortcodes
/*-------------------------------------------------------------------------*/

.cmsmasters_products_shortcode, 
.cmsmasters_selected_products_shortcode {
	position:relative;
	.ovh;
	
	.cmsmasters_products {
		margin:-40px -@col_mar 0;
		padding:0;
		overflow:hidden;
		position:relative;
		
		.product {
			width:round(100% - (@col_mar * 2), 2);
			margin:0 @col_mar;
			padding:40px 0 0;
			position:relative;
			clear:none;
			.ovh;
			.fl;
			
			&:before {
				content:none;
			}
		}
	}
	
	.columns-4 {
		.cmsmasters_products {
			.product {
				width:round((100% / 4) - (@col_mar * 2), 2);
				
				&:nth-child(4n+1) {
					clear:left;
				}
			}
		}
	}
	
	.columns-3 {
		.cmsmasters_products {
			.product {
				width:round((100% / 3) - (@col_mar * 2), 2);
				
				&:nth-child(3n+1) {
					clear:left;
				}
			}
		}
	}
	
	.columns-2 {
		.cmsmasters_products {
			.product {
				width:round((100% / 2) - (@col_mar * 2), 2);
				
				&:nth-child(2n+1) {
					clear:left;
				}
			}
		}
	}
	
	.columns-1 {
		.cmsmasters_products {
			.product {
				float:none;
				.cl;
			}
		}
	}
}


/*	Other Shortcodes */

.create-account {
	.input-radio + label, 
	.input-checkbox + label {
		padding:0 0 0 25px;
	}
	
	> p {
		margin-left:@col_mar;
		margin-right:@col_mar;
	}
}

.login, 
.register {
	margin:0 -@col_mar;
	position:relative;
	.ovh;
	
	&:after {
		.cl_after;
	}
	
	label.inline {
		display:inline-block;
		padding:0;
		margin-left:10px;
		margin-right:0;
		
		input {
			vertical-align:middle;
			margin-top:-2px;
		}
	}
	
	> * {
		width:round(100% - (@col_mar * 2), 2);
		margin-left:@col_mar;
		margin-right:@col_mar;
		.ovh;
	}
	
	.lost_password {
		.cl;
	}
}

.track_order {
	margin:0 -@col_mar;
	position:relative;
	.ovh;
	
	&:after {
		.cl_after;
	}
	
	> * {
		margin-left:@col_mar;
		margin-right:@col_mar;
		.ovh;
	}
}



/*-------------------------------------------------------------------------*/
/* CSS3 Animations
/*-------------------------------------------------------------------------*/

html.csstransitions {
	.cmsmasters_star_rating .cmsmasters_star {
		.trans(color .3s ease-in-out);
	}
	
	.cmsmasters_dynamic_cart .cmsmasters_dynamic_cart_button {
		.trans(~'background-color .3s ease-in-out, color .3s ease-in-out');
	}
	
	.cmsmasters_product .button_to_cart {
		.trans(~'opacity .3s ease-in-out');
	}
	
	.cmsmasters_product .cmsmasters_product_img img,
	.cmsmasters_product .button_to_cart_wrap,
	.cmsmasters_product .price {
		.trans(~'opacity .5s ease-in-out, visibility .3s ease-in-out');
	}
	
	.cmsmasters_dynamic_cart .widget_shopping_cart_content {
		.trans(~'opacity .3s ease-in-out, margin .3s ease-in-out, visibility .3s ease-in-out');
	}
	
	.shipping_method + label:after, 
	.input-radio + label:after, 
	.input-checkbox + label:after {
		.trans(all .3s ease-in-out);
	}
	
	.cmsmasters_dynamic_cart .widget_shopping_cart_content .cart_list img {
		.trans(~'right .3s ease-in-out');
	}
}

